Subject: Re: Telcordia SG16: Comments on 8.1.2 regarding ContextIDs in H.2 48

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 27 Jan 2000 15:41:46 -0500

I think "unspecified" is out.  Current version has just one instance left --
in the sentence before the table in section 7.2.5.

> -----Original Message-----
> From: Selvam Rengasami [SMTP:[email-masked]]
> Sent: Thursday, January 27, 2000 9:14 AM
> To:   [email-masked]
> Subject:      Telcordia SG16: Comments on 8.1.2 regarding ContextIDs in
> H.248
>
>
>
>
>
> Section 8.1.2 of H.248 (White Paper, Megaco Version 12) describes uses for
> only
> two of the possible values for contextID: "null
> ? and "unspecified".  Actually,
> the protocol [either ASN.1 or ABNF] does not make reference to the use of
> these
> values.  It simply indicates how these are coded.  Clear requirements or
> guidelines are needed for how each of these is to be used.  For example,
> how is
> the "choose" value to be used and how/why is it different than using the
> "unspecified" value? Notice that  the "choose" wildcard is used for
> TerminationIDs to request the MG to allocate a TerminationID in the case
> of an
> ephemeral termination.
>
> Since TerminationIDs use a value of "choose" to request the MG to allocate
> a
> value in the case of an ephemeral termination (i.e., one that does not
> exist),
> contextIDs should also use the value of "choose" when requesting the MG to
> allocate a value. Section 8.1.2 should be modified so that the word
> "unspecified" is replaced with the word "choose".
>
> Section 3.5 of a Telcordia Technologies contribution to SG 16 (which can
> be
> found at
> ftp://standard.pictel.com/avc-site/Incoming/telcordia-h248-misc-cmts.DOC )
> provides a proposal for clarifying this issue.
>